package com.winhc.bigdata.flink.java.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author ZhangJi
 * @since 2021-10-22 11:13
 */
@Data
@NoArgsConstructor
public class MetaInfo {
    private CompanyInfo company;
    private ElasticSearchInfo es;
    private HbaseInfo hbase;
    private HologresInfo holo;

    public MetaInfo(CompanyInfo company, ElasticSearchInfo es, HbaseInfo hbase, HologresInfo holo) {
        this.company = company;
        this.es = es;
        this.hbase = hbase;
        this.holo = holo;
    }

    @Data
    @NoArgsConstructor
    public static class CompanyInfo {
        private String companyId;
        private String companyName;

        public CompanyInfo(String companyId, String companyName) {
            this.companyId = companyId;
            this.companyName = companyName;
        }
    }


    @Data
    @NoArgsConstructor
    public static class ElasticSearchInfo {
        private String index;
        private String type;

        public ElasticSearchInfo(String index, String type) {
            this.index = index;
            this.type = type;
        }
    }

    @Data
    @NoArgsConstructor
    public static class HbaseInfo {
        private String table;
        private String cf;

        public HbaseInfo(String table, String cf) {
            this.table = table;
            this.cf = cf;
        }
    }

    @Data
    @NoArgsConstructor
    public static class HologresInfo {
        private String table;

        public HologresInfo(String table, String shema) {
            this.table = table;
            this.shema = shema;
        }

        private String shema;
    }

}
